Subject: Clean up Request hierarchy and fix type hints
Description

Currently we a hierarchy around RequestInterface like this:
RequestInterface
  + Request
  |   + Web\Request
  |       + Web\SubRequest
  + CLI\Request

This could be simplified by getting rid of Request and combining it into Web\Request.

Another issue are type hints. Some places say they return RequestInterface (e.g. the ControllerContext). This potentially leads to
trouble, if one assumes Request is returned, as that has some methods not defined in RequestInterface.

Associated revisions
Revision 6a35bed3 - 2011-07-20 09:07 - Karsten Dambekalns

[!!!][TASK] Clean up MVC\Request hierarchy

The MVC\Request class was only extended by MVC\Web\Request any longer,
thus this change moves the code into Web\Request.

Change-Id: If8bb5f383f9204f9f7638292f6680ba86aca846b
Resolves: #25886

History
#1 - 2011-07-06 16:26 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2011-07-06 21:13 - Karsten Dambekalns
- Target version set to 1.0 beta 1

#3 - 2011-07-06 21:15 - Karsten Dambekalns
- Status changed from Accepted to Under Review

A first change about cleaning up the hierarchy is up for review now.
#4 - 2011-07-06 21:41 - Mr. Hudson

Patch set 2 of change If8bb5f383f9204f9f7638292f6680ba86aca846b has been pushed to the review server.
It is available at http://review.typo3.org/3067

#5 - 2011-07-06 21:42 - Karsten Dambekalns

Karsten Dambekalns wrote:

A first change about cleaning up the hierarchy is up for review now.

Seems all fine, no changes needed.

#6 - 2011-07-13 15:14 - Mr. Hudson

Patch set 3 of change If8bb5f383f9204f9f7638292f6680ba86aca846b has been pushed to the review server.
It is available at http://review.typo3.org/3067

#7 - 2011-07-20 09:07 - Mr. Hudson

Patch set 4 of change If8bb5f383f9204f9f7638292f6680ba86aca846b has been pushed to the review server.
It is available at http://review.typo3.org/3067

#8 - 2011-07-20 09:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6a35bed37ab036a7fd8f884e01350bff7e230f4f.
